# -*- coding: utf-8 -*-
#
# Cookbook Name:: pentester
# Attributes:: w3af
#
# Licensed under the Apache License, Version 2.0 (the "License")
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

default['pentester']['w3af']['git_repository'] = 'https://github.com/andresriancho/w3af.git'
default['pentester']['w3af']['git_reference'] = 'master'
default['pentester']['w3af']['install_dir'] = '/opt/w3af'
default['pentester']['w3af']['python_runtime'] = 2
default['pentester']['w3af']['package'] = 'w3af'
default['pentester']['w3af']['profiles'] = {}
default['pentester']['w3af']['profiles_path'] =
  "#{node['pentester']['w3af']['install_dir']}/profiles"

default['pentester']['w3af']['apt_deps'] = ['libxml2-dev',
                                            'libxslt1-dev',
                                            'python-dev',
                                            'libssl-dev']
default['pentester']['w3af']['pip_deps'] = { pyClamd: '0.3.15',
                                             pybloomfiltermmap: '0.3.14',
                                             pyOpenSSL: '0.15.1',
                                             pyasn1: '0.1.8',
                                             lxml: '3.4.4',
                                             vulndb: '0.0.19',
                                             psutil: '2.2.1',
                                             mitmproxy: '0.13',
                                             'ruamel.ordereddict' => '0.4.8',
                                             Flask: '0.10.1',
                                             PyGithub: '1.21.0',
                                             GitPython: '0.3.2.RC1',
                                             esmre: '0.3.1',
                                             phply: '0.9.1',
                                             nltk: '3.0.1',
                                             chardet: '2.1.1',
                                             tblib: '0.2.0',
                                             pdfminer: '20140328',
                                             futures: '2.1.5',
                                             'ndg-httpsclient' => '0.3.3',
                                             'scapy-real' => '2.2.0-dev',
                                             'guess-language' => '0.2',
                                             cluster: '1.1.1b3',
                                             'msgpack-python' => '0.4.4',
                                             'python-ntlm' => '1.0.1',
                                             halberd: '0.2.4',
                                             'darts.util.lru' => '0.5',
                                             Jinja2: '2.7.3',
                                             markdown: '2.6.1',
                                             PyYAML: '3.11' }
