# -*- coding: utf-8 -*-
#
# Cookbook Name:: pentester
# Recipe:: gitrob_config
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

gitrob_config = node['pentester']['gitrob'].dup
gitrob_config['db'] = node['pentester']['gitrob']['db'].dup
if node['pentester']['gitrob']['use_db']
  item = data_bag_item(node['pentester']['databag_name'],
                       node['pentester']['databag_items']['gitrob'])
  gitrob_config['gh_auth_token'] = item['gh_auth_token']
  gitrob_config['db'].merge!(item['db'])
end

template "#{node['pentester']['home']}/.gitrobrc" do
  owner node['pentester']['user']
  group node['pentester']['group']
  source 'gitrobrc.erb'
  variables gitrob: gitrob_config
end

file "#{node['pentester']['home']}/.gitrobsignatures" do
  owner node['pentester']['user']
  group node['pentester']['group']
  content Chef::JSONCompat.to_json(node['pentester']['gitrob']['signatures'])
  not_if { node['pentester']['gitrob']['signatures'].empty? }
end
